|  | Home | Documentation | soap_multipart Struct Reference updated by Robert van Engelen |

soap_multipart Struct Reference
MIME attachment functions

DIME/MIME/MTOM attachment data received by the engine. More...

`#include <stdsoap2.h>`

## Public Types

typedef soap_multipart_iterator | iterator
| C++ only: an iterator over soap_multipart attachments.

## Public Attributes

struct soap_multipart * | next
| next attachment in the linked list
const char * | ptr
| points to raw data content
size_t | size
| size of data content
const char * | id
| DIME/MIME/MTOM content ID or form data name.
const char * | type
| DIME/MIME/MTOM type (MIME type format).
const char * | options
| DIME options.
enum soap_mime_encoding | encoding
| MIME Content-Transfer-Encoding.
const char * | location
| MIME Content-Location (optional).
const char * | description
| MIME Content-Description (optional).

## Detailed Description

DIME/MIME/MTOM attachment data received by the engine.

See also
  soap_post_check_mime_attachments, soap_check_mime_attachments, soap_recv_mime_attachment.

## Member Typedef Documentation

## ◆ iterator

typedef soap_multipart_iterator soap_multipart::iterator

C++ only: an iterator over soap_multipart attachments.

## Member Data Documentation

## ◆ description

const char* soap_multipart::description

MIME Content-Description (optional).

## ◆ encoding

enum soap_mime_encoding soap_multipart::encoding

MIME Content-Transfer-Encoding.

## ◆ id

const char* soap_multipart::id

DIME/MIME/MTOM content ID or form data name.

## ◆ location

const char* soap_multipart::location

MIME Content-Location (optional).

## ◆ next

struct soap_multipart* soap_multipart::next

next attachment in the linked list

## ◆ options

const char* soap_multipart::options

DIME options.

## ◆ ptr

const char* soap_multipart::ptr

points to raw data content

## ◆ size

size_t soap_multipart::size

size of data content

## ◆ type

const char* soap_multipart::type

DIME/MIME/MTOM type (MIME type format).